Bug 134919 - ip-down script not being executed on reconnect
ip-down script not being executed on reconnect
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-07 04:42 EDT by Adam Szalkowski
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-25 15:36:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Szalkowski 2004-10-07 04:42:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041002
Firesheep/0.10.1 (Firefox/0.10.1 rebrand)

Description of problem:
I use pppd on a persistent adsl connection.
When (after 24h) the connection is dropped by the peer, pppd
reconnects cleanly but the ip-down script is just not being executed
(but the ip-up script is).

I did not try this on other machines. Shall I recompile pppd with
debuginfo or can I get a debuginfo package from fedora?

By the way, is there some other way to run a script upon reconnection?


Version-Release number of selected component (if applicable):
ppp-2.4.2-3.FC2.1 kernel-2.6.8.1-ck5

How reproducible:
Always

Steps to Reproduce:
1. use ifcfg as below
2. enter something into /etc/ppp/ip-down(.local)
3. start the interface and wait until it reconnects (or send SIGHUP to
pppd)
4. check whether the script has been executed

Actual Results:  only ip-up is executed. the ip-down script not.

Expected Results:  ip-down and ip-up script should have been executed
on reconnect

Additional info:

/etc/sysconfig/network-scripts/ifcfg-ppp0:

IPV6INIT=yes
ONBOOT=yes
USERCTL=no
PEERDNS=no
TYPE=xDSL
DEVICE=ppp0
BOOTPROTO=dialup
PIDFILE=/var/run/pppoe-adsl.pid
FIREWALL=NONE
PING=.
PPPOE_TIMEOUT=80
LCP_FAILURE=3
LCP_INTERVAL=20
CLAMPMSS=1412
CONNECT_POLL=6
CONNECT_TIMEOUT=60
PERSIST=yes
SYNCHRONOUS=no
DEFROUTE=yes
USER='xxxx@t-online.de'
ETH=eth0
PROVIDER=T-Online
DEMAND=no
Comment 1 Thomas Woerner 2004-10-07 10:48:50 EDT
The ip-down sript has the executable bit?
Comment 2 Adam Szalkowski 2004-10-07 12:38:39 EDT
yes, of course

/etc/ppp# ls -la ip*
-rwxr-xr-x  1 root root  314 Sep  8 23:13 ip-down
-rwxr-xr-x  1 root root 3362 Jun  2  2003 ip-down.ipv6to4
-r-xr-xr-x  1 root root  366 Sep  8 23:13 ip-down.local
-rwxr-xr-x  1 root root  366 Oct 22  2003 ip-up
-rwxr-xr-x  1 root root 6594 Jun  2  2003 ip-up.ipv6to4
-rwxr-xr-x  1 root root   13 Sep  8 23:14 ip-up.local
-rwxr-xr-x  1 root root  797 Nov 12  2002 ipv6-down
-rwxr-xr-x  1 root root  785 Nov 12  2002 ipv6-up


even on ifdown the script does not run
Comment 3 Adam Szalkowski 2004-10-07 12:43:50 EDT
and the files are all quite unchanged:

~# rpm -V ppp
S.5....T  c /etc/ppp/chap-secrets
S.5....T  c /etc/ppp/pap-secrets

~# rpm -V initscripts
S.5....T  c /etc/inittab
.......T  c /etc/ppp/ip-down
S.5....T  c /etc/rc.d/rc.local
S.5....T  c /etc/sysconfig/init
..5....T  c /etc/sysctl.conf
Comment 4 Thomas Woerner 2004-10-08 09:30:26 EDT
Can you please verify this with the rawhide package?
Comment 5 Adam Szalkowski 2004-10-08 10:29:02 EDT
great, the development package works, but it was a bug, indeed...

# with old version

ip-up "ppp0": Fri Oct 8 16:20:17 CEST 2004
ip-up "ppp0": Fri Oct 8 16:20:53 CEST 2004

# with ppp-2.4.2-6.3 :
 
ip-up "ppp0": Fri Oct 8 16:21:40 CEST 2004
ip-down "ppp0": Fri Oct 8 16:22:11 CEST 2004
RX: 938 TX: 441
ip-up "ppp0": Fri Oct 8 16:22:18 CEST 2004
Comment 6 Matthew Miller 2005-04-26 12:18:18 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 7 John Thacker 2006-10-25 15:36:09 EDT
Closed per above message and lack of response.  Note that FC2 is not even
supported by Fedora Legacy currently.

Note You need to log in before you can comment on or make changes to this bug.